/**
* PDA v1.1.2
* (c) 2024 Product Designer App
* @license GPLv3
* Quote
* Free version
* Unminify code for Dev
**/
const { createApp: createApp } = Vue;
var pdappVueApp = createApp({
    data: () => ({
        loadingPage: !0,
        uploadUrl: pdappUploadUrl,
        pluginUrl: pdappPluginUrl,
        adminUrl: pdappAdminUrl,
        pdappPluginSlug: pdappPluginSlug,
        langs: {},
        toast: { show: !1, type: "success", text: "" },
    }),
    created() {
        jQuery("#productdesignerapp-app").show(), this.getQuoteSetting();
    },
    computed: { breadcrumbs: () => ({ title: "Quote", pages: [{ to: "", title: "Quote" }] }) },
    methods: {
        async getRefreshToken() {
            let p = this,
                e = pdappAdminUrl + "admin-ajax.php?action=pdapp-refresh-token&admin=1";
            try {
                let p = await pdappAPI.tool.getData(e);
                pdappNonce = p.data.token;
            } catch (p) {}
            setTimeout(() => {
                p.getRefreshToken();
            }, 6e4);
        },
        async getQuoteSetting() {
            let p = this,
                e =
                    pdappAdminUrl +
                    "admin-ajax.php?action=pdapp-load-setting&listLangs=1&newQuotes=1&langs=1&admin=1&pdapp-nonce=" +
                    pdappNonce;
            try {
                let t = await pdappAPI.tool.getData(e);
                p.langs = t.data.langs;
            } catch (p) {}
            setTimeout(() => {
                p.getRefreshToken();
            }, 6e4);
        },
    },
}).mount("#productdesignerapp-app");